Author: Sergei Golovan
Description: Patch adapts Iwidgets to the presence of both Itcl/Itk 3 and 4
 in the system. Since there's software which doesn't work with Itcl 4, we
 load Itcl 3 by default. Though if an application wants to use Itcl 4 it may
 require it first: package require Itcl 4; package require Iwidgets

--- a/iwidgets.tcl.in
+++ b/iwidgets.tcl.in
@@ -15,12 +15,17 @@
 
 package require Tcl 8.0
 package require Tk 8.0
-package require Itcl @itcl_VERSION@
+if {[string length [package provide Itcl]] == 0} {
+    # At the moment use Itcl 3 by default
+    if {[catch {package require Itcl 3}]} {
+        package require Itcl 4
+    }
+}
 if {[string length [package provide Itk]] == 0} {
     package forget Itk
     package forget itk
 }
-package require Itk [string index @itcl_VERSION@ 0]
+package require Itk [string index [package provide Itcl] 0]
 
 namespace eval ::iwidgets {
     namespace export *
